• 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from ThreeEye»


    I have recently run into this problem too even though I have first run the vanilla launcher to update the game libraries. The problem still exists.


    In fact, I have found that it's showing a bad jar file indicator for me within Magic Launcher even if I try to re-specify the proper jar location and file. I have even tried removing Magic Launcher's configuration file from the "magic" folder within the roaming appdata location. Nothing has worked to fix it so far.


    Images below:



    Additional Images:












    :unsure:




    Still having this problem with Minecraft Version 1.8.4.


    It only happens with "Environments" (for the "Environment" Setting) above Minecraft Version 1.8.




    :unsure:

    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from drake_fire

    since i updated to 1.7.2 with magic launcher i can join servers. it says "invalid session (try restarting your game)" and no matter how many times i log out and log in again, i get the same message. im using no mods yet (they haven't updated). but i can log into servers with the normal minecraft launcher. is it bug or my computer?

    i hope it gets fixed soon, i can hardly play without optifine :3




    Actually, you need to change the lightbulb in your monitor.

    I'd say more about the actual issue (which has been discussed over the last couple of pages) but I don't believe you'd read it since you didn't read over the last couple of pages in the first place. Otherwise, you'd have seen that it has already been discussed (including a comment directly from sp614x as posted on the top of the last page). Not to mention, the Help Post (which was re-posted just one post immediately above yours at the time) also mentioned several things you should do before asking a question which included the standard practice of looking over at least the last couple of pages to see if your problem was recently discussed (which, again, it was). So, regardless, repeating it yet again probably wouldn't serve any purpose since I don't believe you'd read it. After all, if you didn't read it as posted before, why read it this time? In fact, I'll be surprised if you read this post. Even if you reply that you read this post, I'm betting you still haven't gone back and looked through the conversations on the last couple of pages. Or, the other information I pointed out to you such as what I pointed out by saying there's a comment from sp614x posted on the top of what is now the last page.



    :rolleyes: :rolleyes: :rolleyes: :rolleyes: :rolleyes:



    Anyhow, on to the next person asking the same exact thing and ignoring all previous information.



    :rolleyes: :rolleyes: :rolleyes: :rolleyes: :rolleyes:





    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Help Post removed due to users like Clovis3321 and CobbleBoy considering it spam even though it is just like the Vogon_Captain posts at the top of every page of the Mystcraft thread.

    A lot of the people that needed to see the helpful information (such as solutions to common problems and updated setup instructions etc) ignored it anyhow. Those that did find it helpful didn't post anything saying so making it appear the Help Post was not needed.

    Gone are the list of solutions to common problems, updated setup instructions, and other helpful information.



    :rolleyes:
    Posted in: Minecraft Tools
  • 2

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Removed content of quote from sp614x regarding multiplayer Minecraft 1.7.2+ and Magic Launcher 1.1.7 due to users like Clovis3321 and CobbleBoy considering it spam even though it is just like the Vogon_Captain posts at the top of every page of the Mystcraft thread.

    The post was being ignored by those that needed to see it anyhow.



    :rolleyes:

    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from TheEvilSocks

    I keep getting the following error, no matter what mods are installed.

    ...

    MainClass: net.minecraft.launchwrapper.Launch
    java.lang.ClassNotFoundException: net.minecraft.launchwrapper.Launch

    ...

    QUICK EDIT:

    Only happens when using the environment supplied by the Minecraft Forge installer.

    QUICK EDIT 2:
    Seems to be happening when using custom environments.
    When using the normal 1.6.4 environment and adding minecraftforge to the internal mods list it won't install it.

    I'm switching back to Magiclauncher 1.1.5, which seems to be working fine for me.

    QUICK EDIT 3:
    ­, using magiclauncher 1.1.7 ruined everything. 1.1.5 gives this error too, which it didn't 10 minutes ago.




    The ... Help ... Post ...

    Just ... ONE ... Post ... Immediately ... Above ... Yours ...

    On ... The ... Same ... Page.


    Try Starting With Sections 4b and 3.


    You Should Have Also Started With Sections 4a and 5b!



    :rolleyes: :rolleyes: :rolleyes: :rolleyes: :rolleyes:
    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Help Post removed due to users like Clovis3321 and CobbleBoy considering it spam even though it is just like the Vogon_Captain posts at the top of every page of the Mystcraft thread.

    A lot of the people that needed to see the helpful information (such sa solutions to common problems and updated setup instructions etc) ignored it anyhow. Those that did find it helpful didn't post anything saying so making it appear the Help Post was not needed.

    Gone are the list of solutions to common problems, updated setup instructions, and other helpful information.



    :rolleyes:

    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from Felina_Lain

    That said I do have a question: you said it was possible to run spc for 6.2 with ML if I only loaded the right class into the launcher, do you recall which classes those are?



    Okay, I need to clarify some things here which may be due to some of the terminology being used. However, I think LoRaM100 already addressed this a bit.

    For SPC in Magic Launcher, you don't add any specific class file(s). You add the appropriate mod package for that edition of SPC that you need to use. Unless things have changed with SPC, the "one" SPC download package you get from the SPC thread is NOT the mod itself. Unlike other mod threads where the file you download is the mod itself, that is not the case with SPC. The SPC download actually contains more than one edition of the mod (in separate mod packages). If you extract/view the contents of the downloaded SPC file, you'll see the different editions inside of it. You need to extract the one you need if you haven't extracted it yet. THAT file is the actual "mod package" you add to Magic Launcher's Mod List.

    Inside that actual mod package is its corresponding WorldEdit.jar file. THAT Specific File needs to go into that "bin" sub-folder (you may have to create the folder) in your Minecraft Installation Directory (not in Magic Launcher, although it doesn't hurt to leave a copy of it in the actual SPC Mod Package).



    :)


    EDIT: Also see LoRaM100's reply the next post down.







    Quote from kajar9

    Request: Have magiclauncher manage litemods too ( enabled or disabled ). I hate having to move the .litemod files when changing between versions. I want 1.6.2 litemods to work with 1.6.2 jar and 1.6.4 litemods work with 1.6.4 jar



    I believe that may be a limitation of LiteLoader itself but I'm not sure. You may want to check in that thread. If you find out for sure, you could share what you found out here.

    Regardless, one thing you can do is create separate copies of your whole ".minecraft" Minecraft Installation Directory. Then, use each separate copy for its own version. Use one copy of the installation directory for 1.6.2 for instance and another copy for 1.6.4. You just need to set up the Magic Launcher profile to point to the correct directory for that profile's version.


    :)
    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from DLBerge

    CJB are the creators initial's the mod contains all of his mods we has created. The question is 1 mod requires 3 class files to be placed into the .jar file and I'm not sure if the jar can be modified or not.



    Well, there is one way you should be able to test that. You can make a backup of your current Forge-modified version-specific Minecraft jar file (and it's corresponding ".json" file). Or, you could even backup your whole Minecraft installation directory. Then, you try modifying that Forge-modified version-specific Minecraft jar file by placing those specific class files directly into that jar file.

    I don't know if there would be something that also needs to be done to the corresponding json file. I remember reading about some people using methods for getting things working that required doing extra steps by also modifying the json file. But, I don't know if that is because they didn't know of a simpler method for getting things working. So, I'm also curious to see if just modifying the jar file will work.

    I'm surprised that it actually needs those files placed directly in that jar file. I would figure the worse case scenario for it would be that you'd have to place a mod in the core mods folder instead. Or, like SPC, dropping a file into Minecraft's bin folder. What is that one mod that is saying it needs to have class files placed directly into the jar? Any chance it's the "Minecraft Comes Alive" mod? That mod always (last I checked anyhow) had some complicated steps to get working.



    :)


    Quote from DLBerge

    I have 24 mods running at this time thanks to you and your help.

    Just 2 mods I really need are causing me a headache SPC and CJB's mods other than that life is fine. Just can't use the world edit to clear and build as fast as I like and some of the cheats that come in handy at times. I'm always in peaceful mode anyway.

    Just got to chill out for a while and wait form them to be updated or fixed.



    I know SPC has apparently not yet been updated to support Minecraft 1.6.4 (still only for 1.6.2 last I checked). But, SPC is actually pretty easy to get working with Magic Launcher. You just have to extract the correct mod package from the file you download from that thread since the downloaded file is not the mod itself. Instead, it's a file containing different packages for each of the different editions of the mod. Once you extract the one you want/need, you add that to the Mods List in Magic Launcher. But, you need to go one further step by extracting that WorldEdit.jar file from that correct mod package and dropping that WorldEdit.jar file directly into your Minecraft installation directory's bin folder. Oh yeah, and since that "bin" folder is no longer created by default, you have to first manually create that bin folder itself.

    However, if you're running a lot of mods, there is that possibility you may run into some mod conflict. But, that's also one of the reason's you add the mod to the Mods List in Magic Launcher so you can move the mod up or down and possibly see if there are any new mod errors that pop up.

    There may also be an updated alternative to SPC that can be used instead until it is updated.



    :)


    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from Darkestcloud

    All that posts references is your guidelines which pertains to asking for help.



    Then you obviously can't read because there is a LOT more to that. Looks like you jumped to bottom section 5 and skipped all of the other sections. I even numbered the different sections to illustrate there are ... wait for it ... different sections. You know, like a setup instructions section and other sections addressing problems you might have run into and steps you should first take etc. If you can't read that, there is no sense for me to try and personally help you further.



    :rolleyes:


    Quote from Darkestcloud

    Is the error log not enough info to go off of?



    No. And, see above.



    :rolleyes:


    Quote from Darkestcloud

    Btw, I've gotten this to work in the past, But I haven't played minecraft for about a year or 2.



    For one thing, a lot can change in a year. Like the new default launcher that came out for Minecraft. Meaning setup instructions are probably different. Now, if there was only a place to find setup instructions ... like in the Help Post. Or, remind me again, was that only for guidelines for asking for help?



    :rolleyes: :rolleyes: :rolleyes: :rolleyes: :rolleyes:
    Posted in: Minecraft Tools
  • 1

    posted a message on [Launcher] Magic Launcher 1.3.4 (mods, options, profiles, news)
    Quote from DLBerge

    I ask a simple question ...



    Sections 4 and 5. Especially Sub-Section 5b.


    :rolleyes:


    Quote from DLBerge

    ... for sure is not any easier to use.



    Section 3.


    :rolleyes:


    Quote from DLBerge

    Also Optifine will not load from the mods folder along with any other mod installed.



    Sections 3 and 4b.

    But, just as important, why are you even trying to use Magic Launcher if you're just going to try and drop all of your mods into the mods "folder" of your Minecraft installation directory rather than adding them to the primary mods list in Magic Launcher setup?


    :rolleyes:


    Quote from DLBerge

    I'm giving up on this thing no one can answer a straight question on MC launcher or any thing else.



    Start with Sections 4a and all of 5.

    Then, Sections 3 and 4b.

    Regardless, do Sections 3 and 4b really need to be re-specified again just for you or can you actually read that help information (as it pertains directly to you as well as others) in its original location? If you can't read it in that location, why should anyone believe that you will read that same exact information if those specific sections are copy-and-pasted directly in reply to you? Take awhile to think about that one. Really, what's the difference between repeating that same information or copying-and-pasting that same information or just reiterating where to find that same exact information that was already posted instead? I could go on but I'll leave it at that for now. The more you think about it, the more you realize I'm actually being pretty nice.


    :rolleyes:
    Posted in: Minecraft Tools
  • To post a comment, please .